liblscp 1.0.0

Data Fields
_lscp_channel_info_t Struct Reference

`#include <client.h>`

## Data Fields
char * | engine_name
int | audio_device
int | audio_channels
int * | audio_routing
char * | instrument_file
int | instrument_nr
char * | instrument_name
int | instrument_status
int | midi_device
int | midi_port
int | midi_channel
int | midi_map
float | volume
int | mute
int | solo

## Detailed Description

Channel info cache struct.

## Field Documentation

## ◆ audio_channels

int _lscp_channel_info_t::audio_channels

## ◆ audio_device

int _lscp_channel_info_t::audio_device

## ◆ audio_routing

int* _lscp_channel_info_t::audio_routing

## ◆ engine_name

char* _lscp_channel_info_t::engine_name

## ◆ instrument_file

char* _lscp_channel_info_t::instrument_file

## ◆ instrument_name

char* _lscp_channel_info_t::instrument_name

## ◆ instrument_nr

int _lscp_channel_info_t::instrument_nr

## ◆ instrument_status

int _lscp_channel_info_t::instrument_status

## ◆ midi_channel

int _lscp_channel_info_t::midi_channel

## ◆ midi_device

int _lscp_channel_info_t::midi_device

## ◆ midi_map

int _lscp_channel_info_t::midi_map

## ◆ midi_port

int _lscp_channel_info_t::midi_port

## ◆ mute

int _lscp_channel_info_t::mute

## ◆ solo

int _lscp_channel_info_t::solo

## ◆ volume

float _lscp_channel_info_t::volume

The documentation for this struct was generated from the following file:

- client.h